%global momorel 4
%global cvsversion 20071226
%global gecko_ver 1.9
%global qtdir %{_libdir}/qt3

Name:    gnash
Version: 0.8.3
#Release: 0.%{cvsversion}.%{momorel}m%{?dist}
Release: %{momorel}m%{?dist}
Summary: GNU Flash movie player
Group:   Applications/Multimedia
License: GPL
URL:     http://www.gnu.org/software/gnash/
#Source0: http://www.gnashdev.org/dev_snapshots/%{name}-%{cvsversion}.tar.bz2
Source0: ftp://ftp.gnu.org/gnu/gnash/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel, libpng-devel, libmng-devel
BuildRequires: libxml2-devel, docbook-style-dsssl, docbook-style-xsl
BuildRequires: SDL-devel, SDL_mixer-devel
BuildRequires: libogg-devel, libvorbis-devel, libmad, gstreamer010-devel
BuildRequires: gtk+-devel, fltk-devel, gtkglext-devel
BuildRequires: curl-devel
BuildRequires: freetype-devel >= 2.3.1-2m
BuildRequires: libXi-devel, libX11-devel, libXft-devel,
BuildRequires: mesa-libGL-devel, mesa-libGLU-devel
BuildRequires: gecko-devel >= %{gecko_ver}
BuildRequires: boost-devel
BuildRequires: agg-devel
BuildRequires: qt3-devel

%description
Gnash is capable of reading up to SWF v9 files and opcodes, but primarily
supports SWF v7, with better SWF v8 and v9 support under heavy development.
Gnash includes initial parser support for SWF v8 and v9. Not all
ActionScript 2 classes are implemented yet, but all of the most heavily
used ones are. Many ActionScript 2 classes are partially implemented;
there is support for all of the commonly used methods of each
class.

%package plugin
Summary:   Web-client flash movie player plugin
Requires:  %{name} = %{version}-%{release}
Requires:  mozilla-filesystem
Requires:  webclient
Group:   Applications/Internet
Provides:  gnash-firefox-plugin
Obsoletes: gnash-firefox-plugin

%description plugin
The gnash flash movie player plugin for firefox or mozilla.

%package klash
Summary:   Konqueror flash movie player plugin
Requires:  %{name} = %{version}-%{release}
Group:     Applications/Multimedia

%description klash
The gnash flash movie player plugin for Konqueror.

%package cygnal
Summary:   Streaming media server
Requires:  %{name} = %{version}-%{release}
Group:     Applications/Multimedia

%description cygnal
Cygnal is a streaming media server that's Flash aware.

%prep
#%%setup -q -n %{name}-%{cvsversion}
%setup -q

%build
export QTDIR=%{qtdir}
# --enable-ghelp is disabled
%configure --disable-static --with-npapi-plugindir=%{_libdir}/mozilla/plugins \
  --enable-docbook --enable-ghelp --enable-media=GST \
  --disable-dependency-tracking --disable-rpath \
  --enable-cygnal \
  --enable-gui=gtk,kde,sdl,fb \
  --with-qtdir=$QTDIR \
  --with-kde-plugindir=%{_libdir}/kde3 \
  --with-kde-servicesdir=%{_datadir}/services \
  --with-kde-configdir=%{_datadir}/config \
  --with-kde-appsdatadir=%{_datadir}/apps/klash
#doesn't work currently: %%{?_smp_mflags}
%make

%install
rm -rf %{buildroot}  --preserve-root

make install install-plugins \
 DESTDIR=%{buildroot} INSTALL='install -p' \
 KDE_PLUGINDIR=%{_libdir}/kde3 \
 KDE_SERVICESDIR=%{_datadir}/services \
 KDE_CONFIGDIR=%{_datadir}/config \
 KDE_APPSDATADIR=%{_datadir}/apps/klash
rm %{buildroot}%{_libdir}/gnash/*.la
rm \
 %{buildroot}%{_libdir}/gnash/libgnashamf.so \
 %{buildroot}%{_libdir}/gnash/libgnashbase.so \
 %{buildroot}%{_libdir}/gnash/libgnashmedia.so \
 %{buildroot}%{_libdir}/gnash/libgnashnet.so \
 %{buildroot}%{_libdir}/gnash/libgnashserver.so
rm %{buildroot}%{_libdir}/gnash/libmozsdk.so*
# %{buildroot}%{_libdir}/libgnashbackend.so \
# %{buildroot}%{_libdir}/libgnashgeo.so \
# %{buildroot}%{_libdir}/libgnashgui.so \
# %{buildroot}%{_libdir}/libgnashplayer.so \
# %{buildroot}%{_libdir}/libklashplayer.so
#rm -rf %{buildroot}%{_localstatedir}/scrollkeeper
rm -f %{buildroot}%{_infodir}/dir
# don't package libltdl related files!
rm -f \
 %{buildroot}%{_libdir}/gnash/libltdl*
rm -f \
 %{buildroot}%{_includedir}/ltdl.h
# info isn't generated rightly
#rm -rf \
# %{buildroot}%{_infodir}/
# omf/scrollkeeper related files are broken, some files are missing, and
# omf files are wrong
#rm -rf \
# %{buildroot}%{_datadir}/omf
# cygnal just segfaults
#rm \
# %{buildroot}%{_bindir}/cygnal

# cp -p doc/C/actionscript.info %{buildroot}%{_infodir}/
#mkdir -p %{buildroot}%{_infodir}/
#cp doc/C/gnash_*.info %{buildroot}%{_infodir}/

rm -rf __dist_docs
mkdir __dist_docs
mv %{buildroot}%{_datadir}/doc/gnash/* __dist_docs/
rmdir %{buildroot}%{_datadir}/doc/gnash
#cp doc/C/gnash*.html __dist_docs/

#chmod a-x %{buildroot}%{_datadir}/services/klash_part.desktop \
# %{buildroot}%{_datadir}/apps/klash/pluginsinfo

%find_lang %{name}

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
#scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
# the info is empty, but doesn't hurt
#/sbin/install-info --entry="* Gnash: (gnash). GNU Flash Player" %{_infodir}/%{name}.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/asspec.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/actionscript.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/gnash_ref.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/gnash_user.info %{_infodir}/dir || :

%preun
#if [ $1 = 0 ]; then
    #/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/asspec.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/actionscript.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/gnash_ref.info %{_infodir}/dir || :
    #/sbin/install-info --delete %{_infodir}/gnash_user.info %{_infodir}/dir || :
#fi

%postun
/sbin/ldconfig
#scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS
#%doc doc/C/gnash.html doc/C/actionscript.html doc/C/asspec/asspec.html
#%doc doc/C/images
%doc __dist_docs/*
%config(noreplace) %{_sysconfdir}/gnashpluginrc
%config(noreplace) %{_sysconfdir}/gnashrc
%{_bindir}/dumpshm
%{_bindir}/fb-gnash
%{_bindir}/gtk-gnash
%{_bindir}/sdl-gnash
%{_bindir}/soldumper
%{_bindir}/gnash
%{_bindir}/gprocessor
%{_libdir}/gnash/libgnash*
#%{_libdir}/libgnash*-*.so
#%{_libdir}/libklash*-*.so
%{_mandir}/man1/gnash.1*
%{_mandir}/man1/dumpshm.1*
%{_mandir}/man1/gprocessor.1*
%{_mandir}/man1/soldumper.1*
#%{_infodir}/gnash*
%{_datadir}/gnash/
#%{_datadir}/omf/gnash/

%files plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libgnashplugin.so

%files klash
%defattr(-,root,root,-)
%{_bindir}/kde-gnash
%{_libdir}/kde3/libklashpart.la
%{_libdir}/kde3/libklashpart.so
%{_datadir}/apps/klash/
%{_datadir}/services/klash_part.desktop

%files cygnal
%defattr(-,root,root,-)
%{_bindir}/cygnal
%{_mandir}/man1/cygnal.1*

%changelog
* Sat Jun 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.3-4m)
- fix %%preun

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-3m)
- change Requires from %%{_libdir}/mozilla/plugins to mozilla-filesystem

* Thu Jun 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-2m)
- fix build on KDE4

* Thu Jun 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.3-1m)
- update 0.8.3

* Mon Jun 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226.8m)
- fix typo

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226.7m)
- firefox-plugin depends on mozilla-filesysytem

* Tue May 27 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.2-0.20071226.6m)
- delete %%{_infodir}/dir

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.20071226.5m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.20071226.4m)
- rebuild against gcc43

* Mon Feb 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-0.20071226-3m)
- we must specify QTDIR...

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226-2m)
- rebuild against firefox-2.0.0.12

* Thu Jan  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-0.20071226-1m)
- testing cvs 20071226 version
- now we can play youtube on x86_64

* Sat Sep  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Thu Aug 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.8.0-2m)
- rebuild against boost-1.34.1-1m.mo4
- add BuildRequires: boost-devel

* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-20070211-3m)
- BuildRequires: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-20070211-2m)
- delete libtool library

* Sun Feb 11 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20070211-1m)
- update to 0.7.2 cvs-20070211

* Fri Jan 26 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20070125-1m)
- update to 0.7.2 cvs-20070125
- install to mozilla/plugins

* Fri Dec 29 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20061229-1m)
- update to 0.7.2 cvs-20061229

* Thu Sep 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.1-20060921-1m)
- update to 0.7.1 cvs-20060921

* Fri Jun 23 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.1-20060623-1m)
- update to 0.7.1 cvs-20060623

* Tue Feb  7 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-20060207-1m)
- initial import

